# -*- encoding: utf-8 -*-
#################################################################################
#                                                                               #
#    product_genre for OpenERP                                                  #
#    Author: Victor Obrist                                                      #
#    contact: victor@paraguayenlaweb.com                                        #
#                                                                               #
#    This program is free software: you can redistribute it and/or modify       #
#    it under the terms of the GNU Affero General Public License as             #
#    published by the Free Software Foundation, either version 3 of the         #
#    License, or (at your option) any later version.                            #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Affero General Public License for more details.                        #
#                                                                               #
#    You should have received a copy of the GNU Affero General Public License   #
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.      #
#                                                                               #
#################################################################################
from openerp.osv import orm, fields

class mrp_machine(orm.Model):
    _name = 'mrp.machine'
    _columns = {
        'name': fields.char('Descripción de la Máquina'),
        'nro_serie': fields.char('Número de Serie'),
        'lector_clic': fields.float('Contador clic', size=15, digits=(15, 0)),
    }
